#
# spec file for package python-geventhttpclient
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-geventhttpclient
Version:        1.3.1
Release:        bp153.1.19
Summary:        HTTP client library for gevent
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/gwik/geventhttpclient
Source:         https://files.pythonhosted.org/packages/source/g/geventhttpclient/geventhttpclient-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/gwik/geventhttpclient/master/LICENSE-MIT
Patch0:         gevent-mark-tests.patch
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module gevent}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certifi
Requires:       python-gevent
Requires:       python-six
%python_subpackages

%description
A concurrent HTTP client library for Python using gevent.

geventhttpclient uses a HTTP parser, written in C, originating from
nginx, extracted and modified by Joyent.

geventhttpclient has been designed for high concurrency and
streaming, and supports HTTP/1.1 persistent connections. More
generally, it is designed for pulling from REST APIs and streaming
APIs like Twitter's.

%prep
%setup -q -n geventhttpclient-%{version}
%patch0 -p1
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitearch}/geventhttpclient/tests/
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# test_cookielib_compatibility https://github.com/gwik/geventhttpclient/issues/119
%pytest_arch -m 'not online' -k 'not test_cookielib_compatibility'

%files %{python_files}
%license LICENSE-MIT
%{python_sitearch}/*

%changelog
* Tue Jan 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- skip test test_cookielib_compatibility as it is borked upstream
* Fri Mar 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to skip online tests:
  * gevent-mark-tests.patch
* Thu Mar 14 2019 Jan Engelhardt <jengelh@inai.de>
- Reduce marketing wording in the description.
* Thu Mar 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.1:
  * no upstream changelog
- Switch to singlespec
- Enable tests
* Tue Sep  8 2015 tbechtold@suse.com
- Initial packaging (version 1.1.0)
